Subject: Re: [bmwg] 3rd WGLC for https://datatracker.ietf.org/doc/draft-ietf-bmwg-evpntest/

From: Qin Wu <[email-masked]>
Date: Mon, 16 Sep 2019 03:12:52 +0000

Hi, folks:
I am not sure the scope of this draft is clear enough.
The methodologies defined in this draft is used to benchmark EVPN/PBB-EVPN convergence, data plane
performance, and control plane performance. What a broad scope!

But Basic BGP Convergence Benchmarking Methodology for Data-Plane Convergence has already been specified in RFC7747
Benchmarking Methodology for Basic BGP Device Convergence has already been specified in draft-ietf-bmwg-bgpbas-01
Methodology for Benchmarking Accelerated Stress with Operational EBGP Instabilities has already been specified in draft-ietf-bmwg-acc-bench-meth-ebgp-00
Although the last two drafts have been expired, I think draft-ietf-bmwg-evpntest still need to clarify the relationship with these existing work.

Secondly according to this draft, the methodologies defined in this draft is used to benchmark both RFC 7432 and RFC 7623 solutions, however it is not clear to me
which function of RFC7432 and RFC7623 is covered, which is not. It looks this draft only focuses on single active mode based on Test setup described in section 2, but what about all-active model, how they are different?

The last sentence of introduction said:
"
Further, this draft provides methodologies for benchmarking the performance of
EVPN data and control planes, MAC learning, MAC flushing, MAC ageing,
convergence, high availability, and scale.
"
How MAC learning, MAC flushing, MAC aging is related to EVPN data planes?

Would it be great for this draft to clarify the scope and narrow down scope.

-Qin Wu
-----Original Message-----
From: bmwg [mailto:[email-masked]] On Behalf Of Sarah Banks
Sent: Thursday, September 5, 2019 8:20 PM
To: [email-masked]
Subject: [bmwg] 3rd WGLC for https://datatracker.ietf.org/doc/draft-ietf-bmwg-evpntest/

Hello BMWG,
	The authors of the evpntest drafts have been hard at work since our last (second) WGLC on this draft, consolidating feedback, working with other authors on related topics, and at IETF105 in Montreal, I took an action to kick off the WGLC for this draft. Here it is. 

	A Working Group Last Call (WGLC) period for the Internet-Draft describing benchmarking of EVPN and PBB-EVPN:
	https://datatracker.ietf.org/doc/draft-ietf-bmwg-evpntest/

	will be open for 6 weeks from today, closing on October 17, 2019. Please weigh in on whether or not you feel this Internet-Draft should be given to the Area Directors for consideration to progressing as an Informational RFC. Send your comments to this list, [email-masked]. Your prompt and timely feedback is greatly appreciated.

Kind regards,
Sarah Banks
BMWG Co-Chair
_______________________________________________
bmwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/bmwg

_______________________________________________
bmwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/bmwg

---

From: Sudhin Jacob <[email-masked]>
Date: Mon, 16 Sep 2019 08:37:07 +0000

Hi Bill,

Kindly find the answers inline. Thanks for the comments.

Regards,
Sudhin

Hi, folks:

Sudhin>> As mentioned the in scope of the document this is used to benchmark the evpn and pbb evpn services. Currently there is no mechanism to differentiate the above services.
We are defining a set of parameters for the same. The EVPN services consists of 2 components one is a data plane learning and another is control plane learning. Please
Refer the section 9.1 of RFC 7432.

Sudhin>>>>>>>>>> This is different from the drafts and RFC mentioned above. Our draft talks about the control plane learned mac from remote end and then it is programed in forwarding table.That is the crux of the issue. The above drafts and RFC is not covering that, due to this reasons we don't think we need to.

Sudhin>>>> We cant do the testing on AA due to the fact of LAG in CE. The has push the mac to different PE due to this reason accurate measurement is not possible.
That is the reason behind using SA.

Sudhin>>>>>> As mentioned above please refer RFC 7432 section 9.1

Sudhin>>>>>>>>>>>>>> As I mentioned above we have narrowed a list of parameters, which can be tested in lab in order to bench mark various devices which support this services.
-Qin Wu

Juniper Business Use Only